/* eslint max-len: 0, no-nested-ternary:0, jsx-a11y/anchor-is-valid:0, react/jsx-closing-bracket-location: 0, jsx-a11y/no-static-element-interactions:0, jsx-a11y/click-events-have-key-events:0 */
import React, { Component } from 'react';
import PropTypes from 'prop-types';
import { connect } from 'react-redux';
import styles from './Item.scss';

@connect(({ locales }) => ({
  common: locales.common || {},
  country: locales.country || {}
}))

export default class AddressItem extends Component {
  static propTypes = {
    common: PropTypes.shape().isRequired,
    country: PropTypes.shape().isRequired,
    data: PropTypes.shape().isRequired,
    onClick: PropTypes.func,
    clickable: PropTypes.bool
  }

  static defaultProps = {
    onClick: () => {},
    clickable: false
  }

  render() {
    const {
      common, country, data, clickable, onClick
    } = this.props;
    return (
      <div className={`${styles.addressItem} ${clickable && styles.clickable}`} onClick={() => onClick()}>
        <h4>{data.firstname} {data.lastname}</h4>
        <p>{common.field_zipcode}: {data.zipcode}</p>
        <p>{`${country.city ? `${data.city}, ` : ''}${data.state_name}, ${country.name}`}</p>
        <p>{common.field_address}: {[data.address1, data.address2].filter(o => !!o).join(', ')}</p>
        <p>{common.field_phone_number}: {data.phone}</p>
      </div>
    );
  }
}
